## leptonlib 1.68

=== debian/changelog ===
leptonlib (1.68-5) unstable; urgency=low

  * PNG transition (closes: #636002, #636971)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 08 Dec 2011 16:28:27 -0800

leptonlib (1.68-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Sanitize "Depends:" field of libleptonica in debian/control
    (Closes: #649786).

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 07 Dec 2011 12:25:37 +0100

leptonlib (1.68-4) unstable; urgency=low

  * Add webp support
  * Fix busted dependency (closes: #619861)
  * Remove .la files (closes: #621540)

 -- Jeff Breidenbach <jab@debian.org>  Wed, 13 Apr 2011 22:19:31 -0700

leptonlib (1.68-3) unstable; urgency=low

  * Revise the selection of sample programs, again.

 -- Jeff Breidenbach <jab@debian.org>  Tue, 15 Mar 2011 17:08:46 -0700

leptonlib (1.68-2) unstable; urgency=low

  * Trim the number of sample programs at request of upstream

 -- Jeff Breidenbach <jab@debian.org>  Tue, 15 Mar 2011 15:53:55 -0700

leptonlib (1.68-1) unstable; urgency=low

  * New upstream released
  * Relaxes compiler settings (Closes: #565111)
  * Includes skewtest sample program (Closes: #614248)

 -- Jeff Breidenbach <jab@debian.org>  Mon, 14 Mar 2011 14:15:53 -0700

leptonlib (1.62-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Move programs out of /usr/bin/leptonica subdirectory, patch by
    Jonathan Niehof. (Closes: #552769)
  * debian/rules: install leptonica.3 manpage in leptonica-progs
  * leptonica-progs.links: link leptonica-progs manpages to leptonica.3

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 04 Dec 2009 16:22:14 +0100

leptonlib (1.62-1) unstable; urgency=low

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Tue, 28 Jul 2009 15:10:11 -0700

leptonlib (1.57-1) unstable; urgency=low

  * New upstream release

 -- Jeff Breidenbach <jab@debian.org>  Wed, 16 Jul 2008 10:38:21 -0700
