## leptonlib 1.69

=== debian/changelog ===
leptonlib (1.69-4ubuntu3) trusty; urgency=medium

  * Fix "touch-buildonstamp" typo (thanks to Adam Conrad for spotting with
    his ever-so-keen eyes).
  * Use dh-autoreconf instead of autotools-dev to try to fix FTBFS on ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 19 Dec 2013 23:04:36 -0500

leptonlib (1.69-4ubuntu2) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 19 Dec 2013 22:14:59 -0500

leptonlib (1.69-4ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 04 Jul 2013 13:43:34 -0400

leptonlib (1.69-4) unstable; urgency=low

  * Webp transition.

 -- Jeff Breidenbach <jab@debian.org>  Tue, 02 Jul 2013 09:18:44 -0700

leptonlib (1.69-3.1ubuntu2) raring; urgency=low

  * No-change rebuild against libwebp 0.2 

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Apr 2013 13:49:07 -0400

leptonlib (1.69-3.1ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 16:37:04 +0100

leptonlib (1.69-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Rename libleptonica package to liblept3 (closes: #664176, #681570,
    #681574)
    * liblept3 Breaks and Replaces libleptonica (>= 1.69~) to reflect
      transfer of ownership of /usr/lib/liblept.so.3

 -- Jonathan Nieder <jrnieder@gmail.com>  Thu, 19 Jul 2012 16:39:48 -0500

leptonlib (1.69-3) unstable; urgency=low

  * Get ready for libpng transition (closes: #662392)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 15 Mar 2012 22:16:11 +0000

leptonlib (1.69-2) unstable; urgency=low

  * Building with more modern pbuilder. No other changes.

 -- Jeff Breidenbach <jab@debian.org>  Tue, 17 Jan 2012 16:01:11 -0800

leptonlib (1.69-1) unstable; urgency=high

  * New upstream release
  * High priority to make Ubuntu/Debian Jan 12 synchronization

 -- Jeff Breidenbach <jab@debian.org>  Mon, 09 Jan 2012 13:27:15 -0800
