=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: leptonlib
 Priority: optional
-Maintainer: Jeff Breidenbach <jab@debian.org>
-Build-Depends: debhelper (>= 5.0.0), libtiff4-dev (>= 3.7.4), libpng12-dev | libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
+Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev, dh-autoreconf
+Standards-Version: 3.9.3
 Section: graphics
 
 Package: libleptonica-dev
 Section: libdevel
 Architecture: any
-Depends: libleptonica (= ${binary:Version}), ${misc:Depends}
+Depends: liblept3 (= ${binary:Version}), ${misc:Depends}
 Description: image processing library
  Well-tested C library for some basic image processing operations,
  along with a description of the functions and some design methods. A
@@ -23,10 +24,12 @@
  queues, generic stacks, generic lists, and endian-independent
  indexing into 32-bit arrays.
 
-Package: libleptonica
+Package: liblept3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libleptonica (>= 1.69~)
+Replaces: libleptonica (>= 1.69~)
 Description: image processing library
  Well-tested C library for some basic image processing operations,
  along with a description of the functions and some design methods. A
