## leptonlib 1.70.1

=== debian/changelog ===
leptonlib (1.70.1-1) unstable; urgency=low

  * New upstream release
  * Fix some Lintian warnings

 -- Jeff Breidenbach <jab@debian.org>  Wed, 05 Feb 2014 17:16:29 -0800

leptonlib (1.70-2) unstable; urgency=low

  * Promote from experimental to unstable (transition bug #735509)

 -- Jeff Breidenbach <jab@debian.org>  Mon, 03 Feb 2014 10:17:20 -0800

leptonlib (1.70-1) experimental; urgency=low

  * New upstream release
  * Smaller set of binaries at request of upstream

 -- Jeff Breidenbach <jab@debian.org>  Thu, 23 Jan 2014 13:29:23 -0800

leptonlib (1.69+1.70rc2-1) experimental; urgency=low

  * New upstream release
  * Clean up some lintian warnings
  * Touch up binary list and manpages again

 -- Jeff Breidenbach <jab@debian.org>  Tue, 14 Jan 2014 12:22:14 -0800

leptonlib (1.69+1.70rc1-2) experimental; urgency=low

  * Fix debian/copyright with upstream help (closes: #735103)
  * Remove breaks/replaces fields from debian/control

 -- Jeff Breidenbach <jab@debian.org>  Mon, 13 Jan 2014 09:06:19 -0800

leptonlib (1.69+1.70rc1-1) experimental; urgency=low

  * New upstream release
  * Fix typo in manpage (closes: #697965)
  * Tone down expectations in manpage (closes: #697966)
  * Upstream approved more binaries (closes: #697967, #682575)
  * Upstream fixed a crash bug in pdfiotest (closes: #716562)
  * Integrate a handful of Ubuntu packaging fixes.
  * Trust upstream's preferred compiler warnings, remove -Wall
  * Fix a few lintian warnings.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 06 Jan 2014 10:03:38 -0800
