=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: leptonlib
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
+Maintainer: Jeff Breidenbach <jab@debian.org>
 Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev, dh-autoreconf
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Section: graphics
 
 Package: libleptonica-dev
 Section: libdevel
 Architecture: any
-Depends: liblept3 (= ${binary:Version}), ${misc:Depends}
+Depends: liblept4 (= ${binary:Version}), ${misc:Depends}
 Description: image processing library
  Well-tested C library for some basic image processing operations,
  along with a description of the functions and some design methods. A
@@ -24,7 +23,7 @@
  queues, generic stacks, generic lists, and endian-independent
  indexing into 32-bit arrays.
 
-Package: liblept3
+Package: liblept4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
