=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 # As a special exception, when this file is copied by dh-make into a
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
-
-CFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -17,12 +15,14 @@
 	INSTALL_PROGRAM += -s
 endif
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	dh_autoreconf
 	# Add here commands to compile the package.
-	./configure --prefix=/usr
+	./configure --prefix=/usr $(shell dpkg-buildflags --export=configure)
 	$(MAKE)
 	touch build-stamp
 
@@ -31,7 +31,6 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 	# Add here commands to clean up after the build process.
-	-$(MAKE) maintainer-clean
 	dh_autoreconf_clean
 	dh_clean
