## leptonlib 1.71

=== debian/changelog ===
leptonlib (1.71-2.1+deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * Add gnuplot-nox to Build-Depends to make the test suite pass.
  * Skip tests in nocheck build.
  * Fix CVE-2018-3836 (Closes: #889759)
  * Fix CVE-2018-7186 (Closes: #890548)
  * Fix CVE-2018-7441
  * Fix CVE-2018-7442 (Closes: #898439)
    + The last two changes pose a behaviour change. A number of unsafe
      debugging functions are now disabled by default an can be reenabled
      given trusted input using a new function setLeptDebugOK(1).
  * Fix CVE-2022-38266

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 10 Jan 2023 12:34:52 +0100

leptonlib (1.71-2.1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS Team.
  * activate testsuite (-> make check after make)
    (ten tests are already failing)
  * CVE-2020-36277
    denial of service (application crash) via an incorrect left
    shift in pixConvert2To8 in pixconv.c
  * CVE-2020-36278
    heap-based buffer over-read in findNextBorderPixel in ccbord.c
  * CVE-2020-36279
    heap-based buffer over-read in rasteropGeneralLow, related to
    adaptmap_reg.c and adaptmap.c
  * CVE-2020-36281
    heap-based buffer over-read in pixFewColorsOctcubeQuantMixed
    in colorquant1.c

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 29 Mar 2021 19:03:02 +0200

leptonlib (1.71-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build against openjpeg 2.1.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Thu, 25 Sep 2014 09:44:12 +0800

leptonlib (1.71-2) unstable; urgency=low

  * Add support for JPEG 2000 now that openjpeg2 is in Debian.

 -- Jeff Breidenbach <jab@debian.org>  Fri, 05 Sep 2014 17:50:11 -0700

leptonlib (1.71-1) unstable; urgency=low

  * New upstream release
  * Added pkg-config file (closes: #749953)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 24 Jul 2014 13:00:21 -0700
