=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: leptonlib
 Priority: optional
 Maintainer: Jeff Breidenbach <jab@debian.org>
-Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev, dh-autoreconf
+Build-Depends: debhelper (>= 5.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev, libopenjp2-7-dev, dh-autoreconf, gnuplot-nox <!nocheck>
 Standards-Version: 3.9.5
 Section: graphics
