=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,9 @@
 	# Add here commands to compile the package.
 	./configure --prefix=/usr $(shell dpkg-buildflags --export=configure)
 	$(MAKE)
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	- $(MAKE) check
+endif
 	touch build-stamp
 
 clean:
