## leptonlib 1.72

=== debian/changelog ===
leptonlib (1.72-3) unstable; urgency=medium

  * Remove a bogus stderr warning that was annoying Tesseract users

 -- Jeff Breidenbach <jab@debian.org>  Thu, 16 Jul 2015 03:23:15 +0000

leptonlib (1.72-1) unstable; urgency=medium

  * New upstream release
  * Webp build dependency is now versioned (closes: #772814)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 09 Apr 2015 11:06:12 -0700
